"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNumberFromMap = exports.NotNumberError = void 0;
/**
 * Mapping object to map a number to string
 */
const NumberMap = {
    '0': 'không',
    '1': 'một',
    '2': 'hai',
    '3': 'ba',
    '4': 'bốn',
    '5': 'năm',
    '6': 'sáu',
    '7': 'bảy',
    '8': 'tám',
    '9': 'chín'
};
/**
 * This is error exception type of {@link NumberReader }
 */
class NotNumberError extends Error {
    constructor(wrongNumber) {
        super(`Invalid number: ${JSON.stringify(wrongNumber)}`);
        Object.setPrototypeOf(this, new.target.prototype); // restore prototype chain
    }
}
exports.NotNumberError = NotNumberError;
/**
 * Get number from {@link NumberMap} according to the input single number
 * @param number the input number, only 1 char is valid
 * @return string the number in string
 */
function getNumberFromMap(number) {
    if (Object.prototype.hasOwnProperty.call(NumberMap, number)) {
        return NumberMap[number];
    }
    else {
        throw new NotNumberError(number);
    }
}
exports.getNumberFromMap = getNumberFromMap;
