/**
 * A number reader in Vietnamese language helper
 */
export default class NumberReader {
    /**
     * Read a number in Vietnamese language
     * @param number the number to read
     * @return a string of the number is read in Vietnamese
     */
    static read(number: string | number): string;
    /**
     * Convert all {@link Numbers} objects to a string
     * @param numbers an array of {@link Numbers} objects
     * @return a {@link string} of the number is read in Vietnamese
     */
    private static readNumbers;
    /**
     * Map all group numbers in {@link string} to {@link Numbers} objects
     * @param numberGroups group of numbers in string
     * @return an array of {@link Numbers}
     */
    private static mapToNumbers;
    /**
     * Generate a group of numbers from a string of number
     * @param s input string of number
     */
    private static getGroupNumbers;
    /**
     * Map a number in string to a {@link Numbers} object
     * @param s input string to map
     * @param type type number of the {@link Numbers} object
     */
    private static getNumber;
}
